Package org.astrogrid.samp.test

# Class TestException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.astrogrid.samp.test.TestException

All Implemented Interfaces:
  `Serializable`

public class TestException extends RuntimeException
Exception thrown by a failed test.

Since:
  18 Jul 2008
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TestException()`
`TestException(String msg)`
`TestException(String msg, Throwable cause)`
`TestException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TestException

public TestException()

### TestException

public TestException(String msg)

### TestException

public TestException(String msg, Throwable cause)

### TestException

public TestException(Throwable cause)